# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name language-java

Name:           ghc-%{pkg_name}
Version:        0.2.4
Release:        2%{?dist}
Summary:        Java source manipulation

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  alex
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-cpphs-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-syb-devel
# End cabal-rpm deps

%description
Manipulates Java source: abstract syntax, lexer, parser, and pretty-printer.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the development files for
the Haskell %{pkg_name} library.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Tue Jul  2 2013 Jens Petersen <petersen@redhat.com> - 0.2.4-2
- add missing _isa in devel requires base pkg (#980133)

* Mon Jul  1 2013 Jens Petersen <petersen@redhat.com> - 0.2.4-1
- swap summary and description!

* Mon Jul  1 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.2.4-0
- spec file generated by cabal-rpm-0.8.1
